> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create OAuth

> Create a integration oAuth app in a workspace



## OpenAPI

````yaml POST /v1/integration_oauth
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/integration_oauth:
    post:
      tags:
        - Integration OAuth Apps
      description: Create a integration oAuth app in a workspace
      operationId: IntegrationOAuthController_createIntegrationOAuthApp
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationOAuthCreateBody'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationOAuthApp'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    IntegrationOAuthCreateBody:
      type: object
      properties:
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        clientId:
          type: string
          description: Client id to configure OAuth app
        clientSecret:
          type: string
          description: Client secret to configure OAuth app
        scopes:
          type: string
          description: Scopes needed to configure OAuth app
        integrationOAuthAppName:
          type: string
          description: Name of the OAuth app configured
        workspaceId:
          type: string
          description: >-
            Unique identifier used to identify all the other resources.

            You can find this in the UI after the host and
            /workspaces/{workspaceId}
          example: 0a58f56e-3f59-4f4e-a8e1-a9e47aae5c3c
      required:
        - integrationDefinitionId
        - clientId
        - clientSecret
        - scopes
        - integrationOAuthAppName
        - workspaceId
    IntegrationOAuthApp:
      type: object
      properties:
        integrationOAuthAppId:
          type: string
          description: A unique identifier for Integration OAuth app
        integrationOAuthAppName:
          type: string
          description: Name for integration Oauth apps
        integrationDefinitionId:
          type: string
          description: A unique identifier for Integration Definition
        clientId:
          type: string
          description: Client Id for the OAuth to configure
        clientSecret:
          type: string
          description: Client secret for the OAuth to configure
        scopes:
          type: string
          description: Scopes needed for this oAuth app
        workspaceId:
          type: string
          description: A unique identifier for Workspace
        deleted:
          format: date-time
          type: string
          nullable: true
          description: When this integration OAuth App is deleted. If deleted
        createdAt:
          format: date-time
          type: string
          description: When the integration OAuth App was created.
        updatedAt:
          format: date-time
          type: string
          description: When the integration OAuth App was updated last.
      required:
        - integrationOAuthAppId
        - integrationOAuthAppName
        - integrationDefinitionId
        - clientId
        - clientSecret
        - scopes
        - workspaceId
        - deleted
        - createdAt
        - updatedAt
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string

````